Accepting request 116825 from Base:System
Automatic submission by obs-autosubmit OBS-URL: https://build.opensuse.org/request/show/116825 OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/plymouth?expand=0&rev=6
This commit is contained in:
commit
e7a09eeabb
@ -1,3 +1,11 @@
|
||||
-------------------------------------------------------------------
|
||||
Sat Apr 28 07:00:56 UTC 2012 - tittiatcoke@gmail.com
|
||||
|
||||
- Reduce the number of fonts that are included in the initrd. Also
|
||||
let mkinitrd sort out the dependencies for the required libs.
|
||||
- Use the same font as that grub2 is currently using for it's
|
||||
graphics mode.
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Tue Apr 17 10:30:57 UTC 2012 - glin@suse.com
|
||||
|
||||
|
@ -57,6 +57,7 @@ Requires: suspend >= 0.80.20100129.1
|
||||
Requires: systemd-plymouth
|
||||
Provides: bootsplash = %{version}
|
||||
Obsoletes: bootsplash < %{version}
|
||||
Requires: gnu-unifont-bitmap-fonts
|
||||
Requires(post): plymouth-scripts
|
||||
|
||||
%description
|
||||
|
@ -33,7 +33,7 @@
|
||||
+plymouth show-splash
|
||||
--- /dev/null
|
||||
+++ new/scripts/setup-plymouth.sh.in 2012-04-03 11:11:44.656337240 +0200
|
||||
@@ -0,0 +1,68 @@
|
||||
@@ -0,0 +1,59 @@
|
||||
+#!/bin/bash
|
||||
+#
|
||||
+#%stage: setup
|
||||
@ -54,12 +54,17 @@
|
||||
+ exit 1
|
||||
+fi
|
||||
+
|
||||
+FILES="@PLYMOUTH_DATADIR@/plymouth/themes/text/text.plymouth \
|
||||
+ @PLYMOUTH_DATADIR@/plymouth/themes/details/details.plymouth \
|
||||
+ @PLYMOUTH_DATADIR@/plymouth/plymouthd.defaults \
|
||||
+ @PLYMOUTH_DATADIR@/plymouth/themes/${THEME}/* \
|
||||
+ @PLYMOUTH_DATADIR@/plymouth/logo.png \
|
||||
+ /etc/plymouth/plymouthd.conf"
|
||||
+FILES="/usr/share/plymouth/themes/text/text.plymouth \
|
||||
+ /usr/share/plymouth/themes/details/details.plymouth \
|
||||
+ /usr/share/plymouth/plymouthd.defaults \
|
||||
+ /usr/share/plymouth/themes/${THEME}/* \
|
||||
+ /usr/share/plymouth/logo.png \
|
||||
+ /etc/plymouth/plymouthd.conf \
|
||||
+ /usr/share/fonts/uni/unifont.pcf.gz \
|
||||
+ /etc/fonts/fonts.conf \
|
||||
+ /etc/fonts/conf.d/69-unifont.conf \
|
||||
+ /etc/fonts/conf.avail/69-unifont.conf \
|
||||
+ /usr/lib/pango/1.6.0/modules/pango-basic-fc.so "
|
||||
+
|
||||
+PLUGINS="${PLUGIN_PATH}/details.so \
|
||||
+ ${PLUGIN_PATH}/text.so \
|
||||
@ -77,7 +82,6 @@
|
||||
+ cp_bin $plugin $tmp_mnt/$plugin
|
||||
+done
|
||||
+
|
||||
+# copy files for font rendering
|
||||
+_libdir=`rpm --eval '%{_lib}'`
|
||||
+if [ "$_libdir" == "lib64" ];
|
||||
+ then
|
||||
@ -87,18 +91,5 @@
|
||||
+ _pangodir=`pango-querymodules | grep ModulesPath | awk '{print $4}'`
|
||||
+ _pangomod="/etc/pango/pango.modules"
|
||||
+fi
|
||||
+
|
||||
+FONTS="/usr/share/fonts/truetype/DejaVuSerif.ttf \
|
||||
+ /usr/share/fonts/truetype/DejaVuSans.ttf \
|
||||
+ /etc/fonts/fonts.conf \
|
||||
+ /etc/fonts/conf.d/60-latin.conf \
|
||||
+ ${_pangomod} \
|
||||
+ ${_pangodir}/pango-basic-fc.so \
|
||||
+ /usr/${_libdir}/libpango-1.0.so.0 \
|
||||
+ /usr/${_libdir}/libpangoft2-1.0.so.0 \
|
||||
+ /usr/${_libdir}/libpangocairo-1.0.so.0 "
|
||||
+
|
||||
+for font in $FONTS; do
|
||||
+ install -D $font $tmp_mnt/$font
|
||||
+done
|
||||
+install -D ${_pangomod} $tmp_mnt/${_pangomod}
|
||||
+mkdir -p $tmp_mnt/var/cache/fontconfig
|
||||
|
Loading…
Reference in New Issue
Block a user